Como resolver libva error: va_getDriverName()

estou usando brave-browser e os videos do youtube andam travando muito, então abri ele pelo terminal pra e me apareceu esse problema e outros tambem que acredito esta relacionado ao primeiro. quando instalei o linux mint xfce sem atualizar o brave estava funcionando perfeitamente, depois de instalar as atualizações aconteceu isso.

libva error: va_getDriverName() failed with unknown libva error,driver_name=(null)
[6056:6056:0222/092825.192953:ERROR:vaapi_wrapper.cc(417)] vaInitialize failed: unknown libva error
[6056:6056:0222/092825.837041:ERROR:viz_main_impl.cc(161)] Exiting GPU process due to errors during initialization
libva error: va_getDriverName() failed with unknown libva error,driver_name=(null)
[6084:6084:0222/092826.469626:ERROR:vaapi_wrapper.cc(417)] vaInitialize failed: unknown libva error
[6031:6048:0222/092826.753996:ERROR:dat_file_util.cc(22)] GetDATFileData: the dat file is not found or corrupted /home/usuario/.config/BraveSoftware/Brave-Browser/jpolmkeojnkicccihhepfbkhcbicimpa/1.0.367/rs-1FEAF960-F377-11E8-8EB2-F2801F1B9FD1.dat
[6031:6031:0222/092826.889130:ERROR:ad_block_base_service.cc(209)] Could not obtain ad block data

meu sistema

System:
  Host: NetBook Kernel: 5.3.0-40-generic x86_64 bits: 64 compiler: gcc 
  v: 7.4.0 Desktop: Xfce 4.14.1 Distro: Linux Mint 19.3 Tricia 
  base: Ubuntu 18.04 bionic 
Machine:
  Type: Desktop System: PHILCO product: 10D v: N/A serial: <filter> 
  Mobo: PHILCO model: 10D serial: <filter> BIOS: American Megatrends 
  v: 1.01.BRI date: 06/26/2012 
Battery:
  ID-1: BAT0 charge: 11.1 Wh condition: 11.1/24.4 Wh (45%) model: standard 
  status: Full 
CPU:
  Topology: Dual Core model: Intel Atom N2600 bits: 64 type: MT MCP 
  arch: Saltwell rev: 1 L2 cache: 512 KiB 
  flags: lm nx pae sse sse2 sse3 ssse3 bogomips: 12768 
  Speed: 1197 MHz min/max: 600/1600 MHz Core speeds (MHz): 1: 1197 2: 1197 
  3: 1596 4: 1596 
Graphics:
  Device-1: Intel Atom Processor D2xxx/N2xxx Integrated Graphics 
  vendor: Holco Enterprise Co /Shuttle driver: gma500 v: N/A bus ID: 00:02.0 
  Display: x11 server: X.Org 1.20.5 driver: modesetting unloaded: fbdev,vesa 
  resolution: 1024x600~60Hz 
  OpenGL: renderer: llvmpipe (LLVM 9.0 128 bits) v: 3.3 Mesa 19.2.8 
  direct render: Yes 
Audio:
  Device-1: Intel NM10/ICH7 Family High Definition Audio 
  vendor: Holco Enterprise Co /Shuttle driver: snd_hda_intel v: kernel 
  bus ID: 00:1b.0 
  Sound Server: ALSA v: k5.3.0-40-generic 
Network:
  Device-1: JMicron JMC250 PCI Express Gigabit Ethernet 
  vendor: Holco Enterprise Co /Shuttle driver: jme v: 1.0.8 port: e000 
  bus ID: 01:00.5 
  IF: enp1s0f5 state: down mac: <filter> 
  Device-2: Realtek RTL8188CE 802.11b/g/n WiFi Adapter 
  vendor: AzureWave AW-NE139H Half-size Mini PCIe Card driver: rtl8192ce 
  v: kernel port: d000 bus ID: 02:00.0 
  IF: wls1 state: up mac: <filter> 
Drives:
  Local Storage: total: 298.09 GiB used: 9.87 GiB (3.3%) 
  ID-1: /dev/sda vendor: Hitachi model: HTS543232A7A384 size: 298.09 GiB 
Partition:
  ID-1: / size: 292.41 GiB used: 9.87 GiB (3.4%) fs: ext4 dev: /dev/sda1 
Sensors:
  System Temperatures: cpu: 62.0 C mobo: N/A 
  Fan Speeds (RPM): N/A 
Info:
  Processes: 191 Uptime: 51m Memory: 1.93 GiB used: 806.7 MiB (40.9%) 
  Init: systemd runlevel: 5 Compilers: gcc: 7.4.0 Shell: bash v: 4.4.20 
  inxi: 3.0.32 

Bem vindo ao fórum @warlison!

Como você instalou o brave (loja, deb, Snap ouFlatpak)?

Pergunto porque parece que está havendo incompatibilidade na libva. Lembro que li que libva2 tem algumas alterações incompatíveis com versões anteriores, não sendo possível o suporte a libva e libva2 ao mesmo tempo.

2 curtidas

Instalei por este link:
https://brave-browser.readthedocs.io/en/latest/installing-brave.html#linux

usando essas configurações:
Release Channel Installation
Debian 9+, Ubuntu 14.04+ and Mint 17+

eu tinha recem formatado o netbook quando instalei o brave.
ai ele tava funcionando tranquilo.
depois que instalei as atualizaçoes que o proprio mint manda para baixar ele ficou com esses problemas.
Tenho que desinstalar o libva se sim como?

Parece que instalando o pacote de driver já corrige, tente:

sudo apt install libva-intel-driver

Fonte:

1 curtida

tentei amigo apareceu essa mensagem:
E: Impossível encontrar o pacote libva-intel-driver

Na verdade, esse comando era para o Fedora (sudo dnf install libva-intel-driver) como estou sem distro na base Debian/Ubuntu para testar, pensei que teria no repositório.
:sweat_smile:

Pelo que li no askubuntu, parece que tem que baixar manualmente e compilar, pode ser que tenha uma forma mais simples. Vamos aguardar o pessoal que também usa Mint ajudar.

fonte:

1 curtida

encontrei esse link onde baixei a ultima versão do libva a 2.6.1
me ajudar a instalar so preciso copiar pro local certo e fazer o makefile acho que e so isso.